SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001596SOGoWeb Calendarpublic2012-01-23 05:402012-05-28 19:05
ReporterChristian Mack 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.3.11 
Target Version1.3.16Fixed in Version1.3.16 
Summary0001596: "Upload" button pressable multiple times
DescriptionWhen you import *.ics files into a calendar in the SOGo webfrontend, you get no indication after pressing "Upload" that there is actually an upload happening.
You even can press the "Upload" button multiple times, which will start another upload in parallel.
This unnecessary additional upload duplicates all events imported.

That is really annoying.

So please disable at least the "Upload" button on starting the upload.
Any hint on the upload in progress would be nice, e.g. displaying a text "Uploading...".
Steps To ReproduceGo into SOGo "Calendar".
Choose a calendar, then right click on it and choose "Import Events...".
Then press "Browse.." and select a big *.ics file.
Now press "Upload".
And press it again while it is still uploading.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0003978)
francis (administrator)
2012-05-28 19:05

Fixed in revision 0bc4e04aaead15b626a732a223ebf47ee22e73f0.

- Issue History
Date Modified Username Field Change
2012-01-23 05:40 Christian Mack New Issue
2012-03-16 14:47 ludovic Target Version => 1.3.14
2012-03-23 08:32 francis Target Version 1.3.14 => 1.3.15
2012-05-09 11:40 ludovic Target Version 1.3.15 => 1.3.16
2012-05-28 19:05 francis Note Added: 0003978
2012-05-28 19:05 francis Status new => resolved
2012-05-28 19:05 francis Fixed in Version => 1.3.16
2012-05-28 19:05 francis Resolution open => fixed
2012-05-28 19:05 francis Assigned To => francis


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker